stages:
  - build
  - test

variables:
  LC_ALL: "en_US.UTF-8"
  LANG: "en_US.UTF-8"
  XCODE_WORKSPACE: "YourApp.xcworkspace"  # Cambia esto por el nombre de tu workspace
  XCODE_SCHEME: "YourApp"                 # Cambia esto por el nombre de tu esquema
  DESTINATION: 'platform=iOS Simulator,name=iPhone 12,OS=latest'

before_script:
  - gem install cocoapods
  - pod install

build:
  stage: build
  script:
    - xcodebuild -workspace "$XCODE_WORKSPACE" -scheme "$XCODE_SCHEME" -sdk iphonesimulator -configuration Debug build CODE_SIGNING_ALLOWED=NO

test:
  stage: test
  script:
    - xcodebuild -workspace "$XCODE_WORKSPACE" -scheme "$XCODE_SCHEME" -sdk iphonesimulator -destination "$DESTINATION" test